Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.plan.build
Class ExamplePlanBuilder.Expander

    java.lang.Object
      ix.icore.plan.build.ExamplePlanBuilder.Expander

Direct Known Subclasses:
  ExamplePlanBuilder.ActivityExpander, ExamplePlanBuilder.IssueExpander

Enclosing class:
  ExamplePlanBuilder

    protected abstract class ExamplePlanBuilder.Expander

extends java.lang.Object

Constructs the plan-items and refinements used to tie an issue or activity to its subissues or subactivities.

Field Summary
`protected java.util.List` | `planItems`
`protected java.util.List` | `planRefinements`

Constructor Summary
`ExamplePlanBuilder.Expander(java.util.List planItems, java.util.List planRefinements)`

Method Summary
`protected void` | `buildExpansion(AbstractPlanItem pi, java.util.List children)`
`protected abstract AbstractPlanItem` | `makePlanItem(TaskItem item, AbstractPlanItem parentPI)`
`protected abstract AbstractRefinement` | `makePlanRefinement()`
`void` | `walk(java.util.List items)`
`protected void` | `walk(java.util.List items, java.util.List planItems, AbstractPlanItem parentPI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### planItems

    protected java.util.List planItems

### planRefinements

    protected java.util.List planRefinements

Constructor Detail

### ExamplePlanBuilder.Expander

    public ExamplePlanBuilder.Expander(java.util.List planItems,
                                       java.util.List planRefinements)

Method Detail

### walk

    public void walk(java.util.List items)

### walk

    protected void walk(java.util.List items,
                        java.util.List planItems,
                        AbstractPlanItem parentPI)

### buildExpansion

    protected void buildExpansion(AbstractPlanItem pi,
                                  java.util.List children)

### makePlanItem

    protected abstract AbstractPlanItem makePlanItem(TaskItem item,
                                                     AbstractPlanItem parentPI)

### makePlanRefinement

    protected abstract AbstractRefinement makePlanRefinement()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD